# Interface methods for submodule: ScalarImageToRunLengthMatrixFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: ScalarImageToRunLengthMatrixFilter
class ScalarImageToRunLengthMatrixFilterProxy(_ProcessObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetOffsets(self, _arg) -> None:
		""""""
		...

	def SetOffset(self, offset: Sequence[int]) -> None:
		""""""
		...

	def GetModifiableOffsets(self):
		""""""
		...

	def GetOffsets(self):
		""""""
		...

	def SetNumberOfBinsPerAxis(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfBinsPerAxis(self) -> int:
		""""""
		...

	@overload
	def SetPixelValueMinMax(self, min: float, max: float) -> None:
		""""""
		...

	@overload
	def SetPixelValueMinMax(self, min: int, max: int) -> None:
		""""""
		...

	@overload
	def GetMin(self) -> float:
		""""""
		...

	@overload
	def GetMin(self) -> int:
		""""""
		...

	@overload
	def GetMax(self) -> float:
		""""""
		...

	@overload
	def GetMax(self) -> int:
		""""""
		...

	def SetDistanceValueMinMax(self, min: float, max: float) -> None:
		""""""
		...

	def GetMinDistance(self) -> float:
		""""""
		...

	def GetMaxDistance(self) -> float:
		""""""
		...

	def SetInput(self, image) -> None:
		""""""
		...

	def GetInput(self):
		""""""
		...

	def SetMaskImage(self, image) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

	def GetOutput(self):
		""""""
		...

	@overload
	def SetInsidePixelValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetInsidePixelValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetInsidePixelValue(self) -> float:
		""""""
		...

	@overload
	def GetInsidePixelValue(self) -> int:
		""""""
		...

